## libhinawa 1.1.0

=== meson_options.txt ===
option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'generate API reference',
)
option('gir',
  type: 'boolean',
  value: true,
  description: 'generate GObject Introspection data',
)

## libhinawa 0.7.0

=== debian/changelog ===
libhinawa (0.7.0-1) unstable; urgency=medium

  * New upstream release 0.7.0
  * closes: #813474 libhinawa ITP.
  * debian/control
    - requires to debhelper 9 or later.
    - update to the latest standards-version.
  * debian/source/format
    - add missing source/format.
  * debian/copyright
    - specify License: field correctly.
    - add missing License: paragraph.
    - note that backport.h comes from Linux UAPI header.
  * debian/rules
    - simplify rules by using dh_* efficiently..
  * debian/watch
    - add missing watch file.
  * debian/libhinawa0.symbols
    - add missing symbol file.

 -- HAYASHI Kentaro <hayashi@clear-code.com>  Mon, 01 Feb 2016 21:55:37 +0900

libhinawa (0.6.0-1) unstable; urgency=medium

  * New upstream release 0.6.0
   * Use blocking I/O to save CPU usage
   * Purge alsa-lib dependency
   * Add 'disconnect' gobject signal
   * Add 'listening' property
   * Debian packaging (Thanks to Yoshihiro Okada)
   * Add spec file (Thanks to Yoshihiro Okada)

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Sun, 29 Mar 2015 11:38:43 +0900

libhinawa (0.5.0-2) unstable; urgency=low

  * Separate gir typelib to a new package.
  * fix minor issues.

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Mon, 16 Mar 2015 15:29:30 +0900

libhinawa (0.5.0-1) unstable; urgency=low

  * add package management files for ubuntu.

 -- Yoshihiro Okada <yoshihiro.okada@nifty.ne.jp>  Tue, 10 Mar 2015 16:45:32 +0900

=== debian/control ===
Source: libhinawa
Section: libs
Priority: optional
Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Uploaders: HAYASHI Kentaro <hayashi@clear-code.com>
Build-Depends: debhelper (>= 9), autotools-dev,
    automake (>= 1.10), autoconf (>= 2.62), libtool (>= 2.2.6),
    libglib2.0-dev (>= 2.32.0),
    gtk-doc-tools (>= 1.18-2),
    gobject-introspection (>= 1.32.1),
    libgirepository1.0-dev (>= 1.32.1)
Standards-Version: 3.9.6
Homepage: https://github.com/takaswie/libhinawa
Vcs-Browser: https://github.com/takaswie/libhinawa.git

Package: libhinawa0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
    libglib2.0-0 (>= 2.32.0)
Multi-Arch: same
Description: I/O library for IEEE 1394 asynchronous transactions
 This is an I/O library for units on IEEE 1394 bus. This library
 supports any types of asynchronous transactions over IEEE 1394 bus.
 Additionally, this library also supports some functionalities which
 ALSA firewire stack produces.

Package: gir1.2-hinawa-1.0
Section: introspection
Architecture: linux-any
Depends: ${misc:Depends}, ${gir:Depends},
    libhinawa0 (= ${binary:Version}),
Description: GObjet introspection data for libhinawa0
 This package contains introspection data for libhinawa0. It can be
 used by packages using the GIRepository format to generate dynamic
 bindings, or it can be used by interpreters understanding the
 GIReporsitory format to libhinawa0.

Package: libhinawa-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
    libhinawa0 (= ${binary:Version}),
    libglib2.0-dev (>= 2.32.0),
    libgirepository1.0-dev (>= 1.32.1),
Description: I/O library for IEEE 1394 asynchronous transactions (development file)
 Libhinawa is an I/O library for units on IEEE 1394 bus. This library
 supports any types of asynchronous transactions over IEEE 1394 bus.
 Additionally, this library also supports some functionalities which
 ALSA firewire stack produces.
 This package contains development files including C headers and
 XML data for GIRepository.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev --with gir

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-static=no

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libhinawa-$1\.tar\.gz/ https://github.com/takaswie/libhinawa/tags .*/v?(\d\S*)\.tar\.gz

## libhinawa 0.8.2

=== debian/changelog ===
libhinawa (0.8.2-2) unstable; urgency=medium

  * debian/compat
    - Bump compatibility level to 11.
  * debian/control
    - Bump debhelper version to 11.
    - Bump standard version to 4.1.3. No other changes are required.
  * debian/copyright
    - Fix insecure protocol for the URI.
    - Bump upstream copyright and add debian/* entry.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Mon, 26 Feb 2018 22:21:33 +0900

libhinawa (0.8.2-1) unstable; urgency=medium

  [ Takashi Sakamoto ]
  * New upstream release 0.8.2.
  * Upload to unstable.
  * debian/compat
    - bump version to 10.
  * debian/control
    - bump Standards-Version to 4.1.0.
    - remove needless Build-Depends since compat level 10.
    - fix missing dependency to .gir package.
  * debian/gir1.2-hinawa-1.0.install
    - install .typelib into multiarch directory.
  * debian/rules
    - remove needless --with autotools-dev since compat level 10.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Fri, 22 Sep 2017 22:27:10 +0900

libhinawa (0.8.1-1) experimental; urgency=medium

  [ Takashi Sakamoto ]
  * New upstream release 0.8.1.
  * debian/libhinawa0.symbols
    - Below two symbols are newly introduced.
     - hinawa_snd_motu_get_type
     - hinawa_snd_motu_open

 -- Kentaro Hayashi <hayashi@clear-code.com>  Wed, 10 May 2017 17:13:58 +0900

libhinawa (0.7.0-2) unstable; urgency=medium

  * debian/control
    - set Architecture: linux-any for all package to avoid build with non-linux
      arch (Closes: #823011).
    - bump standars-version to 3.9.8.
    - add 'Uploaders' field.
  * debian/watch
    - support cryptographic signature verification.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Sat, 14 May 2016 22:23:32 +0900

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: libs
 Priority: optional
 Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
-Uploaders: HAYASHI Kentaro <hayashi@clear-code.com>
-Build-Depends: debhelper (>= 9), autotools-dev,
+Uploaders: Kentaro Hayashi <hayashi@clear-code.com>
+Build-Depends: debhelper (>= 11),
     automake (>= 1.10), autoconf (>= 2.62), libtool (>= 2.2.6),
     libglib2.0-dev (>= 2.32.0),
     gtk-doc-tools (>= 1.18-2),
     gobject-introspection (>= 1.32.1),
     libgirepository1.0-dev (>= 1.32.1)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: https://github.com/takaswie/libhinawa
-Vcs-Browser: https://github.com/takaswie/libhinawa.git
+Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
+Vcs-Git: https://salsa.debian.org/debian/libhinawa.git
 
 Package: libhinawa0
-Architecture: any
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
     libglib2.0-0 (>= 2.32.0)
@@ -38,11 +39,12 @@
 
 Package: libhinawa-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends},
     libhinawa0 (= ${binary:Version}),
     libglib2.0-dev (>= 2.32.0),
     libgirepository1.0-dev (>= 1.32.1),
+    gir1.2-hinawa-1.0 (= ${binary:Version})
 Description: I/O library for IEEE 1394 asynchronous transactions (development file)
  Libhinawa is an I/O library for units on IEEE 1394 bus. This library
  supports any types of asynchronous transactions over IEEE 1394 bus.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autotools-dev --with gir
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-gtk-doc --enable-static=no

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/takaswie/libhinawa/releases .*/libhinawa-(\d\S*)\.tar\.gz

## libhinawa 1.0.0

=== debian/changelog ===
libhinawa (1.0.0-1) unstable; urgency=medium

  * New upstream release 1.0.0.
  * debian/control
    - Bump libhinawa0 to libhinawa1.
  * debian/rules
    - Switch to Meson build system.
  * debian/watch
    - Use more flexible regex for the extension.
  * debian/libhinawa1.symbols
    - Add v1.0.0 symbols.
  * debian/libhinawa0.symbols
    - Drop obsolete symbols.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Wed, 18 Jul 2018 00:37:39 +0900

libhinawa (0.9.0-1) unstable; urgency=medium

  * New upstream release 0.9.0.
  * debian/control
    - Bump standard version to 4.1.4. No other changes are required.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Wed, 11 Apr 2018 21:22:17 +0900

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,24 @@
 Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
 Uploaders: Kentaro Hayashi <hayashi@clear-code.com>
 Build-Depends: debhelper (>= 11),
-    automake (>= 1.10), autoconf (>= 2.62), libtool (>= 2.2.6),
+    meson (>= 0.32.0),
     libglib2.0-dev (>= 2.32.0),
     gtk-doc-tools (>= 1.18-2),
     gobject-introspection (>= 1.32.1),
-    libgirepository1.0-dev (>= 1.32.1)
-Standards-Version: 4.1.3
+    libgirepository1.0-dev (>= 1.32.1),
+    python3-gi
+Standards-Version: 4.1.4
 Homepage: https://github.com/takaswie/libhinawa
 Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
 Vcs-Git: https://salsa.debian.org/debian/libhinawa.git
 
-Package: libhinawa0
+Package: libhinawa1
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
     libglib2.0-0 (>= 2.32.0)
+Breaks: libhinawa0 (<< 1.0.0-1)
+Replaces: libhinawa0 (<< 1.0.0-1)
 Multi-Arch: same
 Description: I/O library for IEEE 1394 asynchronous transactions
  This is an I/O library for units on IEEE 1394 bus. This library
@@ -26,11 +29,13 @@
  Additionally, this library also supports some functionalities which
  ALSA firewire stack produces.
 
-Package: gir1.2-hinawa-1.0
+Package: gir1.2-hinawa-2.0
 Section: introspection
 Architecture: linux-any
 Depends: ${misc:Depends}, ${gir:Depends},
-    libhinawa0 (= ${binary:Version}),
+    libhinawa1 (= ${binary:Version}),
+Breaks: gir1.2-hinawa-1.0 (<< 1.0.0-1)
+Replaces: gir1.2-hinawa-1.0 (<< 1.0.0-1)
 Description: GObjet introspection data for libhinawa0
  This package contains introspection data for libhinawa0. It can be
  used by packages using the GIRepository format to generate dynamic
@@ -41,10 +46,10 @@
 Section: libdevel
 Architecture: linux-any
 Depends: ${misc:Depends},
-    libhinawa0 (= ${binary:Version}),
+    libhinawa1 (= ${binary:Version}),
     libglib2.0-dev (>= 2.32.0),
     libgirepository1.0-dev (>= 1.32.1),
-    gir1.2-hinawa-1.0 (= ${binary:Version})
+    gir1.2-hinawa-2.0 (= ${binary:Version})
 Description: I/O library for IEEE 1394 asynchronous transactions (development file)
  Libhinawa is an I/O library for units on IEEE 1394 bus. This library
  supports any types of asynchronous transactions over IEEE 1394 bus.

## libhinawa 1.1.0

=== debian/changelog ===
libhinawa (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * debian/libhinawa1.symbols
    - Add v1.1.0 symbols. Patch by salsa.d.o/debian/libhinawa/issues/2.
  * debian/control
    - Bump standard version to 4.3.0. No other changes are required.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Sun, 30 Dec 2018 22:09:50 +0900

libhinawa (1.0.1-2) unstable; urgency=medium

  * debian/.gitlab-ci.yml
    - Add salsa CI
  * debian/control
    - Update Maintainer field.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Thu, 13 Dec 2018 22:18:46 +0900

libhinawa (1.0.1-1) unstable; urgency=medium

  * New upstream release 1.0.1. (Closes: #908219)
  * debian/control
    - Bump standard version to 4.2.1. No other changes are required.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Sun, 09 Sep 2018 23:08:47 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libhinawa
 Section: libs
 Priority: optional
-Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
-Uploaders: Kentaro Hayashi <hayashi@clear-code.com>
-Build-Depends: debhelper (>= 11),
+Maintainer: Kentaro Hayashi <hayashi@clear-code.com>
+Build-Depends: debhelper-compat (= 11),
     meson (>= 0.32.0),
     libglib2.0-dev (>= 2.32.0),
     gtk-doc-tools (>= 1.18-2),
     gobject-introspection (>= 1.32.1),
     libgirepository1.0-dev (>= 1.32.1),
     python3-gi
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/takaswie/libhinawa
 Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
 Vcs-Git: https://salsa.debian.org/debian/libhinawa.git

## libhinawa 1.2.0

=== debian/changelog ===
libhinawa (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Kentaro Hayashi <hayashi@clear-code.com>  Mon, 25 Mar 2019 13:25:55 +0900

libhinawa (1.1.2-1) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Kentaro Hayashi ]
  * New upstream version 1.1.2

 -- Kentaro Hayashi <hayashi@clear-code.com>  Tue, 05 Mar 2019 22:43:52 +0900

libhinawa (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * debian/libhinawa1.symbols
    - Add v1.1.1 symbol. Patch by salsa.d.o/debian/libhinawa/issues/3.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Mon, 25 Feb 2019 23:35:13 +0900

## libhinawa 1.3.1

=== debian/changelog ===
libhinawa (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * libhinawa1.symbols
    - Add v1.3.1 symbol. Patch via salsa.d.o/debian/libhinawa/issues/6.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Fri, 31 May 2019 21:05:16 +0900

## libhinawa 1.4.4

=== debian/changelog ===
libhinawa (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4

 -- Kentaro Hayashi <hayashi@clear-code.com>  Wed, 22 Jan 2020 20:47:01 +0900

libhinawa (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * debian/control
    - Fix description for gir1.2-hinawa-2.0

 -- Kentaro Hayashi <hayashi@clear-code.com>  Fri, 17 Jan 2020 18:22:38 +0900

libhinawa (1.4.0-1) unstable; urgency=medium

  [ Takashi Sakamoto ]
  * debian/libhinawa1.symbols
    - Add v1.4.0 symbols.
  * debian/control
    - Bump required meson version.

  [ Kentaro Hayashi ]
  * debian/control
    - Bump standard version to 4.4.1
    - Bump compatibility level to 12.
    - Apply Rules-Requires-Root: no

 -- Kentaro Hayashi <hayashi@clear-code.com>  Wed, 16 Oct 2019 23:15:23 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Kentaro Hayashi <hayashi@clear-code.com>
-Build-Depends: debhelper-compat (= 11),
-    meson (>= 0.32.0),
+Build-Depends: debhelper-compat (= 12),
+    meson (>= 0.46.0),
     libglib2.0-dev (>= 2.32.0),
     gtk-doc-tools (>= 1.18-2),
     gobject-introspection (>= 1.32.1),
     libgirepository1.0-dev (>= 1.32.1),
     python3-gi
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/takaswie/libhinawa
 Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
 Vcs-Git: https://salsa.debian.org/debian/libhinawa.git
@@ -35,11 +36,11 @@
     libhinawa1 (= ${binary:Version}),
 Breaks: gir1.2-hinawa-1.0 (<< 1.0.0-1)
 Replaces: gir1.2-hinawa-1.0 (<< 1.0.0-1)
-Description: GObjet introspection data for libhinawa0
- This package contains introspection data for libhinawa0. It can be
+Description: GObjet introspection data for libhinawa1
+ This package contains introspection data for libhinawa1. It can be
  used by packages using the GIRepository format to generate dynamic
  bindings, or it can be used by interpreters understanding the
- GIReporsitory format to libhinawa0.
+ GIReporsitory format to libhinawa1.
 
 Package: libhinawa-dev
 Section: libdevel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/takaswie/libhinawa/releases .*/libhinawa-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libhinawa 2.0.0

=== debian/changelog ===
libhinawa (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * d/control
    - Bump library version to libhinawa2.
    - Update Breaks/Replaces dependency.
    - Update dependency to libhinawa2.
    - Update Homepage: to latest one (https://github.com/alsa-project/libhinawa)
  * d/libhinawa2.install
    - Rename from libhinawa1.install
  * d/libhinawa2.symbols
    - Rename from libhinawa1.symbols
  * d/gir1.2-hinawa-3.0.install
    - Rename from gir1.2-hinawa-2.0.install
  * d/watch
    - Follow upstream URL change.
    - Use @PACKAGE@,@ANY_VERSION@,@ARCHIVE_EXT@.
  * d/copyright
    - Bump copyright year
    - Add missing Upstream-Contact: field
    - Update Source: field

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 10 Jul 2020 21:18:34 +0900

libhinawa (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
  * d/control
    - Bump standard-version to 4.5.0. No changes are required.
    - Bump debhelper version to 13.

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 11 May 2020 21:26:28 +0900

## libhinawa 2.2.0

=== debian/changelog ===
libhinawa (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 30 Nov 2020 13:16:34 +0900

libhinawa (2.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Kentaro Hayashi ]
  * New upstream version 2.1.0
  * debian/libhinawa2.symbols
    - Update symbols.

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 23 Nov 2020 19:43:40 +0900

=== debian/control ===
Source: libhinawa
Section: libs
Priority: optional
Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends: debhelper-compat (= 13),
    meson (>= 0.46.0),
    libglib2.0-dev (>= 2.32.0),
    gtk-doc-tools (>= 1.18-2),
    gobject-introspection (>= 1.32.1),
    libgirepository1.0-dev (>= 1.32.1),
    python3-gi
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/alsa-project/libhinawa
Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
Vcs-Git: https://salsa.debian.org/debian/libhinawa.git

Package: libhinawa2
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
    libglib2.0-0 (>= 2.32.0)
Breaks: libhinawa1 (<< 2.0.0-1)
Replaces: libhinawa1 (<< 2.0.0-1)
Multi-Arch: same
Description: I/O library for IEEE 1394 asynchronous transactions
 This is an I/O library for units on IEEE 1394 bus. This library
 supports any types of asynchronous transactions over IEEE 1394 bus.
 Additionally, this library also supports some functionalities which
 ALSA firewire stack produces.

Package: gir1.2-hinawa-3.0
Section: introspection
Architecture: linux-any
Depends: ${misc:Depends}, ${gir:Depends},
    libhinawa2 (= ${binary:Version}),
Breaks: gir1.2-hinawa-2.0 (<< 2.0.0-1)
Replaces: gir1.2-hinawa-2.0 (<< 2.0.0-1)
Description: GObjet introspection data for libhinawa2
 This package contains introspection data for libhinawa2. It can be
 used by packages using the GIRepository format to generate dynamic
 bindings, or it can be used by interpreters understanding the
 GIReporsitory format to libhinawa2.

Package: libhinawa-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
    libhinawa2 (= ${binary:Version}),
    libglib2.0-dev (>= 2.32.0),
    libgirepository1.0-dev (>= 1.32.1),
    gir1.2-hinawa-3.0 (= ${binary:Version})
Description: I/O library for IEEE 1394 asynchronous transactions (development file)
 Libhinawa is an I/O library for units on IEEE 1394 bus. This library
 supports any types of asynchronous transactions over IEEE 1394 bus.
 Additionally, this library also supports some functionalities which
 ALSA firewire stack produces.
 This package contains development files including C headers and
 XML data for GIRepository.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/alsa-project/libhinawa/releases .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libhinawa 2.4.0

=== debian/changelog ===
libhinawa (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * debian/copyright
    - Update backport.h copyright
  * debian/libhinawa2.symbols
    - Update symbols

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 27 Nov 2021 21:36:51 +0900

libhinawa (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * debian: update symbol table

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 11 Sep 2021 20:24:57 +0900

libhinawa (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * d/control
    - Bump standard-version to 4.6.0. No changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 21 Aug 2021 14:32:52 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
     libgirepository1.0-dev (>= 1.32.1),
     python3-gi
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/alsa-project/libhinawa
 Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
 Vcs-Git: https://salsa.debian.org/debian/libhinawa.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

## libhinawa 2.5.1

=== debian/changelog ===
libhinawa (2.5.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + gir1.2-hinawa-3.0: Add Multi-Arch: same.

  [ Kentaro Hayashi ]
  * New upstream version 2.5.1
  * debian/watch
    - Update watch rule
  * debian/rule
    - Update flag to generate document
  * debian/control
    - Add dependency to gi-docgen
    - Bump standards-version to 4.6.1
  * debian/libhinawa2.symbols
    - Update symbols for 2.5.1
    - Add missing Build-Depends-Package:
  * debian/copyright
    - Bump copyright year

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 13 Nov 2022 22:20:40 +0900

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
     gtk-doc-tools (>= 1.18-2),
     gobject-introspection (>= 1.32.1),
     libgirepository1.0-dev (>= 1.32.1),
-    python3-gi
+    python3-gi,
+    gi-docgen
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/alsa-project/libhinawa
 Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
 Vcs-Git: https://salsa.debian.org/debian/libhinawa.git
@@ -36,6 +37,7 @@
     libhinawa2 (= ${binary:Version}),
 Breaks: gir1.2-hinawa-2.0 (<< 2.0.0-1)
 Replaces: gir1.2-hinawa-2.0 (<< 2.0.0-1)
+Multi-Arch: same
 Description: GObjet introspection data for libhinawa2
  This package contains introspection data for libhinawa2. It can be
  used by packages using the GIRepository format to generate dynamic

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ --with gir --buildsystem=meson
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dgtk_doc=true
+	dh_auto_configure -- -Ddoc=true

=== debian/watch ===
# Modified version of rule: https://lists.debian.org/debian-devel/2022/09/msg00229.html
#
# Use searchmode=plain for response from https://api.github.com/repos/alsa-project/libhinawa/releases
#
version=4
opts=\
   "searchmode=plain, \
   pgpsigurlmangle=s/$/.asc/" \
   https://api.github.com/repos/alsa-project/libhinawa/releases \
   https://github.com/alsa-project/libhinawa/releases/download/\d[\.\d]+/libhinawa-@ANY_VERSION@.tar.xz

## libhinawa 2.6.0

=== debian/changelog ===
libhinawa (2.6.0-2) unstable; urgency=medium

  [ Takashi Sakamoto ]

  * debian/control
    debian/copyright
    debian/upstream/metadata
    - Update to new upstrem URI
  * debian/copyright
    - Note about backported linux/firewire-cdev.h
  * debian/control
    - Bump Standards-Version to 4.6.2. No other changes are required.

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 03 Aug 2023 20:58:13 +0900

libhinawa (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * debian/libhinawa2.symbols
    - Update symbols for 2.6.0
  * debian/watch
    - Follow changed upstream site (kernel.org).
  * debian/upstream/signing-key.asc
    - Follow changed upstream signing key.

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 17 Jul 2023 19:39:21 +0900

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
     python3-gi,
     gi-docgen
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://github.com/alsa-project/libhinawa
+Standards-Version: 4.6.2
+Homepage: https://git.kernel.org/pub/scm/libs/ieee1394/libhinawa.git/
 Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
 Vcs-Git: https://salsa.debian.org/debian/libhinawa.git

=== debian/watch ===
# Upstream was moved to kernel.org
#
# See https://salsa.debian.org/debian/libhinawa/-/issues/22
#
version=4
opts="decompress, pgpsigurlmangle=s/(.*tar)\..*$/$1.sign/" \
  https://mirrors.edge.kernel.org/pub/linux/libs/ieee1394/libhinawa-@ANY_VERSION@\.tar\.(?:xz|gz)

## libhinawa 2.6.1

=== debian/changelog ===
libhinawa (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * debian/watch
    - Use official link to watch upstream (Salsa issue #26)

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 21 Oct 2023 16:39:31 +0900

libhinawa (2.6.0-3) unstable; urgency=medium

  * debian/clean
    - Fix FTBFS (double build)

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 19 Aug 2023 21:10:12 +0900

## libhinawa 4.0.1

=== debian/changelog ===
libhinawa (4.0.1-2.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:02:09 +1100

libhinawa (4.0.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop glib runtime dependency (Closes: #1067482)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Mar 2024 09:56:48 +0100

libhinawa (4.0.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 20:37:13 +0000

libhinawa (4.0.1-2) unstable; urgency=medium

  [ Takashi Sakamoto ]
  * debian/rules
    - Add hardening support
  * debian/control
    - Drop obsolete dependency on gtk-doc-tools package
    - Declare usage of gir sequence explicitly
    - Optimization to policy change of gobject-introspection package

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 25 Feb 2024 20:52:44 +0900

libhinawa (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * debian/patches/fix-ftbfs-gi-docgen.patch
    * Drop needless patch because it was fixed in upstream.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 20 Jan 2024 17:35:37 +0900

libhinawa (4.0.0-2) unstable; urgency=medium

  * debian/patches/fix-ftbfs-gi-docgen.patch
    * Fix FTBFS with gi-docgen (Closes: #1058535)

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 14 Dec 2023 13:44:52 +0900

libhinawa (4.0.0-1) unstable; urgency=medium

  [ Takashi Sakamoto ]
  * New upstream version 4.0.0
  * debian/control
    - Added breaks/replaces for libhinawa4,gir1.2-hinawa-4.0.
  * debian/libhinawa4.symbols
    - Added new symbols for libhinawa4.x
  * debian/copyright
    - Drop unused Files: section

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 19 Nov 2023 20:29:15 +0900

=== debian/control ===
Source: libhinawa
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends: debhelper-compat (= 13),
    dh-sequence-gir,
    meson (>= 0.60.0),
    libglib2.0-dev (>= 2.44.0),
    gobject-introspection-bin,
    libgirepository1.0-dev (>= 1.32.1),
    python3-gi,
    gi-docgen (>= 2023.1)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://git.kernel.org/pub/scm/libs/ieee1394/libhinawa.git/
Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
Vcs-Git: https://salsa.debian.org/debian/libhinawa.git

Package: libhinawa4t64
Provides: ${t64:Provides}
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libhinawa4 (<< ${source:Version}), libhinawa2 (<< 4.0.0)
Replaces: libhinawa4, libhinawa2 (<< 4.0.0)
Multi-Arch: same
Description: I/O library for IEEE 1394 asynchronous transaction
 This is an I/O library to operate 1394 OHCI hardware for asynchronous
 transaction in IEEE 1394 bus.

Package: gir1.2-hinawa-4.0
Section: introspection
Architecture: linux-any
Depends: ${misc:Depends}, ${gir:Depends},
    libhinawa4t64 (= ${binary:Version}),
Breaks: gir1.2-hinawa-3.0 (<< 4.0.0)
Replaces: gir1.2-hinawa-3.0 (<< 4.0.0)
Multi-Arch: same
Description: GObjet introspection data for libhinawa4t64
 This package contains introspection data for libhinawa4. It can be
 used by packages using the GIRepository format to generate dynamic
 bindings, or it can be used by interpreters understanding the
 GIReporsitory format to libhinawa4.

Package: libhinawa-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
    libhinawa4t64 (= ${binary:Version}),
    libglib2.0-dev (>= 2.44.0),
    libgirepository1.0-dev (>= 1.32.1),
    gir1.2-hinawa-4.0 (= ${binary:Version})
Description: I/O library for IEEE 1394 asynchronous transactions (development file)
 This is an I/O library to operate 1394 OHCI hardware for asynchronous
 transaction in IEEE 1394 bus.
 This package contains development files including C headers and
 XML data for GIRepository.

## libhinawa 4.0.2

=== debian/changelog ===
libhinawa (4.0.2-4) unstable; urgency=medium

  * d/control
    - don't build-depend on gobject-introspection-bin (Closes: #1094620)

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 03 Feb 2025 13:20:34 +0900

libhinawa (4.0.2-3) unstable; urgency=medium

  [ Takashi Sakamoto ]
  * d/libhinawa-dev.links
    - Solve stray-devhelp-documentation issue
  * d/control
    - Solve package-relation-with-self issue
    - Solve gir-package-name-does-not-match issue

 -- HAYASHI Kentaro <kenhys@xdump.org>  Wed, 30 Oct 2024 20:18:27 +0900

libhinawa (4.0.2-2) unstable; urgency=medium

  [ Takashi Sakamoto ]
  * Revert "Import 4.0.1-2.1 changes"

  [ Kentaro Hayashi ]
  * debian/control
    - Bump Standards-Version to 4.7.0. No changes are required.
  * debian/libhinawa4.symbols
    - Add missing Build-Depends-Package:

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 07 Sep 2024 17:29:32 +0900

libhinawa (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 04 May 2024 11:44:19 +0900

=== debian/control ===
Source: libhinawa
Section: libs
Priority: optional
Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends: debhelper-compat (= 13),
    dh-sequence-gir,
    meson (>= 0.60.0),
    libglib2.0-dev (>= 2.44.0),
    gir1.2-gobject-2.0-dev,
    gobject-introspection,
    libgirepository1.0-dev (>= 1.32.1),
    python3-gi,
    gi-docgen (>= 2023.1)
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://git.kernel.org/pub/scm/libs/ieee1394/libhinawa.git/
Vcs-Browser: https://salsa.debian.org/debian/libhinawa/
Vcs-Git: https://salsa.debian.org/debian/libhinawa.git

Package: libhinawa4
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:
    libhinawa2 (<< 2.6.1-1),
    libhinawa4t64 (<< 4.0.2-2)
Replaces:
    libhinawa2 (<< 2.6.1-1),
    libhinawa4t64 (<< 4.0.2-2)
Multi-Arch: same
Description: I/O library for IEEE 1394 asynchronous transaction
 This is an I/O library to operate 1394 OHCI hardware for asynchronous
 transaction in IEEE 1394 bus.

Package: gir1.2-hinawa-4.0
Section: introspection
Architecture: linux-any
Depends: ${misc:Depends}, ${gir:Depends},
    libhinawa4 (= ${binary:Version}),
Breaks: gir1.2-hinawa-3.0 (<< 4.0.0)
Replaces: gir1.2-hinawa-3.0 (<< 4.0.0)
Multi-Arch: same
Description: GObjet introspection data for libhinawa4
 This package contains introspection data for libhinawa4. It can be
 used by packages using the GIRepository format to generate dynamic
 bindings, or it can be used by interpreters understanding the
 GIReporsitory format to libhinawa4.

Package: libhinawa-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
    ${gir:Depends},
    libhinawa4 (= ${binary:Version}),
    libglib2.0-dev (>= 2.44.0),
    libgirepository1.0-dev (>= 1.32.1),
    gir1.2-hinawa-4.0 (= ${binary:Version})
Provides: ${gir:Provides}
Description: I/O library for IEEE 1394 asynchronous transactions (development file)
 This is an I/O library to operate 1394 OHCI hardware for asynchronous
 transaction in IEEE 1394 bus.
 This package contains development files including C headers and
 XML data for GIRepository.

=== debian/watch ===
# Upstream was moved to kernel.org
#
# See https://salsa.debian.org/debian/libhinawa/-/issues/22
#
version=4
opts="decompress, pgpsigurlmangle=s/(.*tar)\..*$/$1.sign/" \
  https://kernel.org/pub/linux/libs/ieee1394/libhinawa-@ANY_VERSION@\.tar\.(?:xz|gz)
